package com.ruoyi.interfaces.service;

import java.util.List;
import com.ruoyi.interfaces.domain.MdApp;

/**
 * 模型应用Service接口
 * 
 * @author 朱得糠
 * @date 2025-08-19
 */
public interface IMdAppService 
{
    /**
     * 查询模型应用
     * 
     * @param appId 模型应用主键
     * @return 模型应用
     */
    public MdApp selectMdAppByAppId(Long appId);

    /**
     * 查询模型应用列表
     * 
     * @param mdApp 模型应用
     * @return 模型应用集合
     */
    public List<MdApp> selectMdAppList(MdApp mdApp);

    /**
     * 新增模型应用
     * 
     * @param mdApp 模型应用
     * @return 结果
     */
    public int insertMdApp(MdApp mdApp);

    /**
     * 修改模型应用
     * 
     * @param mdApp 模型应用
     * @return 结果
     */
    public int updateMdApp(MdApp mdApp);

    /**
     * 批量删除模型应用
     * 
     * @param appIds 需要删除的模型应用主键集合
     * @return 结果
     */
    public int deleteMdAppByAppIds(Long[] appIds);

    /**
     * 删除模型应用信息
     * 
     * @param appId 模型应用主键
     * @return 结果
     */
    public int deleteMdAppByAppId(Long appId);
}
